/// <reference types="react" />
import * as React from 'react';
import { IXtermProps, IXtermState } from '../containers/xterm';
export interface IXtermComponentProps extends IXtermProps {
    value: string;
}
export default class XtermComponent extends React.Component<IXtermComponentProps, IXtermState> {
    private xterm;
    private xtermInstance;
    private unsubscribe;
    private buffer;
    refs: {
        [string: string]: any;
        container: HTMLDivElement;
    };
    constructor(props?: IXtermComponentProps, context?: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentWillReceiveProps(nextProps: any): void;
    private getXtermInstance();
    private processAction(terminalAction);
    private getTerminalData(activeInstance);
    private createInstance();
    private setActiveInstance(instance);
    private onResize({cols, rows});
    private onData(text);
    private onInput(key, ev);
    private onKeyDown(event);
    private fit;
    private writeBuffer(activeInstance);
    private focusChanged(focused);
    render(): JSX.Element;
}
